/* SwissBetty-TV-Fernbedienung: Adelinemain.c */

/* eine simple App auf der Betty, die ein Bild anzeigt, bis man einen Knopf drückt */
#include "LPC22xx.h"
#include "StdTypes.h"

#if defined (GCC)
#include "BettyAppGcc.h"
#else
#include "BettyAppArm.h"
#endif

#include "adeline.inc"

const RECT R = { 0, 145, 12, 159};


int main(void)
{ int x, y;
  char c;
  FillLanes (dkgr);
  LichtEin();
  x = 128 - adeline[0];
  if (x<0) x = 0;
  x = x >> 1;
  y = 160 - adeline[1];
  if (y<0) y = 0;
  y = y >> 1;

  CgPicture_at(x,y,(char*) &adeline);
  ScrBlt();

  c = 0;
  while (c!=27)
  { if (IsKeyAvailable())
    { c = TranslateKeynum(GetKey());
      CgFillRect((RECT*)&R, black);
      CgCh_at(R.left+2,R.top, c, invert|idf_Simple6x13);
      ScrBlt();
    }
  }

  return 4711;
}


